aboutsummaryrefslogtreecommitdiffstatshomepage
diff options
context:
space:
mode:
-rwxr-xr-xsh/.local/bin/lessfilter6
-rw-r--r--zsh/.config/zsh/.zshrc2
2 files changed, 8 insertions, 0 deletions
diff --git a/sh/.local/bin/lessfilter b/sh/.local/bin/lessfilter
new file mode 100755
index 0000000..661a638
--- /dev/null
+++ b/sh/.local/bin/lessfilter
@@ -0,0 +1,6 @@
+#!/bin/sh
+
+case "$1" in
+*/rfc/txt/rfc*.txt) sed -e '1,+2d' -e '/\f/d' "$1" ;;
+*) exit 1 ;;
+esac
diff --git a/zsh/.config/zsh/.zshrc b/zsh/.config/zsh/.zshrc
index 5147304..c745abe 100644
--- a/zsh/.config/zsh/.zshrc
+++ b/zsh/.config/zsh/.zshrc
@@ -29,6 +29,8 @@ zstyle :zle:transpose-words word-style shell
zstyle :completion:* cache-path "${XDG_CACHE_HOME}/zsh/zcompcache"
zstyle :completion:* use-cache true
+hash -d rfc=/usr/share/doc/rfc/txt
+
# See: https://wiki.archlinux.org/title/Zsh#Key_bindings
bindkey '^[q' push-line
bindkey '^[[Z' reverse-menu-complete